=== debian/changelog ===
gpxview (0.9.4) unstable; urgency=low

  * Updated map and OSD from Maep 1.3.6
  * Updated GPS driver from Maep 1.3.6
  * Disconnect from GPS when in background to save energy
  * Compass rendering using cairo
  * Sun azimuth indicator in compass view
  * GPX 1.0.1 attribute support
  * August 2010 attribute icons
  * Forward function key events from map window to widget
  * All icons SVG
  * Enabled cache description hard button zooming on n900

 -- Till Harbaum <till@harbaum.org>  Fri, 21 May 2010 20:45:28 +0200
