=== data/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 APP = gpxview
-MAEMO_VERSION_MAJOR = 5
+MAEMO_VERSION_MAJOR = 
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
 
 LANGS = en_GB de_DE fi_FI ru_RU
 LANGS_HELP = en_GB de_DE fi_FI
@@ -38,9 +38,9 @@
 	  install $(APP).conf $(DESTDIR)/etc/osso-backup/applications ;\
 	fi
 
-install: install-maemo
+install: install-debian
 	install -d $(DESTDIR)$(datadir)/$(APP)
-	install -m 644 COPYING welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
+	install -m 644 COPYING welcome.gpx $(DESTDIR)$(datadir)/$(APP);
 	for SIZE in $(ICON_SIZES); do \
 		install -d $(DESTDIR)$(datadir)/$(APP)/$${SIZE} ;\
 		install -m 644 icons/$${SIZE}/*.png $(DESTDIR)$(datadir)/$(APP)/$${SIZE};\
