=== debian/changelog ===
gpxview (0.9.5) unstable; urgency=low

  * Fixed problems when switching map source
  * Ability to load zip files from folders (fixes [#6010] GPX 1.0.1)

 -- Till Harbaum <till@harbaum.org>  Wed, 25 Aug 2010 18:19:07 +0200
