## gpxview 0.9.6

=== debian/changelog ===
gpxview (0.9.6) unstable; urgency=low

  * Fixed balloon click
  * Fixed [#6018] Found and logged caches: Notes are not displayed ...
  * Adjusted date in copyright

 -- Till Harbaum <till@harbaum.org>  Fri, 27 Aug 2010 18:33:44 +0200
